### Virtual Method

# Ide ProjectTreeAddin unload

#### Declaration

    void
    unload (
      IdeProjectTreeAddin* self,
      DzlTree* tree
    )

#### Description

This function will call the IdeProjectTreeAddin::unload vfunc of `self`.

This is used to unload the project tree so that plugins can clealy be disabled by the user at runtime. Any changes to `tree` done during load should be undone here.

See also: `ide_project_tree_addin_load()`

Available since: | 3.32

#### Parameters

`tree` | `DzlTree`
| A `DzlTree`.
| The data is owned by the caller of the function.